Appearance
@line/bot-sdk / LineBotClient
Class: LineBotClient
Defined in: lib/line-bot-client.ts:84
A single client for all LINE Bot APIs, except channel access token management.
Wraps all individual API clients (Messaging API, LIFF, Insight, etc.) and exposes their methods directly, so you don't need to manage multiple client instances. For channel access token operations, use channelAccessToken.ChannelAccessTokenClient directly.
Examples
typescript
const client = LineBotClient.fromChannelAccessToken({ channelAccessToken: "..." });Push a message to a user
typescript
await client.pushMessage({
to: userId,
messages: [{ type: "text", text: "Hi there!" }],
});Get a user's profile
typescript
const profile = await client.getProfile(userId);
console.log(profile.displayName);Extends
LineBotClientBase
Properties
clients
protectedreadonlyclients:LineBotClientDelegates
Defined in: lib/line-bot-client.ts:85
Overrides
LineBotClientBase.clients
Methods
acquireChatControl()
acquireChatControl(
chatId,acquireChatControlRequest?):Promise<MessageAPIResponseBase>
Defined in: lib/line-bot-client.generated.ts:3134
If the Standby Channel wants to take the initiative (Chat Control), it calls the Acquire Control API. The channel that was previously an Active Channel will automatically switch to a Standby Channel. Calls POST https://api.line.me/v2/bot/chat/{chatId}/control/acquire. To inspect the HTTP status code or response headers, use acquireChatControlWithHttpInfo.
Parameters
chatId
string
The userId, roomId, or groupId
acquireChatControlRequest?
Returns
Promise<MessageAPIResponseBase>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.acquireChatControl
acquireChatControlWithHttpInfo()
acquireChatControlWithHttpInfo(
chatId,acquireChatControlRequest?):Promise<ApiResponseType<MessageAPIResponseBase>>
Defined in: lib/line-bot-client.generated.ts:3153
If the Standby Channel wants to take the initiative (Chat Control), it calls the Acquire Control API. The channel that was previously an Active Channel will automatically switch to a Standby Channel. Calls POST https://api.line.me/v2/bot/chat/{chatId}/control/acquire. This method returns the response body together with the underlying httpResponse.
Parameters
chatId
string
The userId, roomId, or groupId
acquireChatControlRequest?
Returns
Promise<ApiResponseType<MessageAPIResponseBase>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.acquireChatControlWithHttpInfo
addAudienceToAudienceGroup()
addAudienceToAudienceGroup(
addAudienceToAudienceGroupRequest):Promise<MessageAPIResponseBase>
Defined in: lib/line-bot-client.generated.ts:416
Add user IDs or Identifiers for Advertisers (IFAs) to an audience for uploading user IDs (by JSON) Calls PUT https://api.line.me/v2/bot/audienceGroup/upload. To inspect the HTTP status code or response headers, use addAudienceToAudienceGroupWithHttpInfo.
Parameters
addAudienceToAudienceGroupRequest
AddAudienceToAudienceGroupRequest
Returns
Promise<MessageAPIResponseBase>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.addAudienceToAudienceGroup
addAudienceToAudienceGroupWithHttpInfo()
addAudienceToAudienceGroupWithHttpInfo(
addAudienceToAudienceGroupRequest):Promise<ApiResponseType<MessageAPIResponseBase>>
Defined in: lib/line-bot-client.generated.ts:432
Add user IDs or Identifiers for Advertisers (IFAs) to an audience for uploading user IDs (by JSON) Calls PUT https://api.line.me/v2/bot/audienceGroup/upload. This method returns the response body together with the underlying httpResponse.
Parameters
addAudienceToAudienceGroupRequest
AddAudienceToAudienceGroupRequest
Returns
Promise<ApiResponseType<MessageAPIResponseBase>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.addAudienceToAudienceGroupWithHttpInfo
addLIFFApp()
addLIFFApp(
addLiffAppRequest):Promise<AddLiffAppResponse>
Defined in: lib/line-bot-client.generated.ts:294
Adding the LIFF app to a channel Calls POST https://api.line.me/liff/v1/apps. To inspect the HTTP status code or response headers, use addLIFFAppWithHttpInfo.
Parameters
addLiffAppRequest
Returns
Promise<AddLiffAppResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.addLIFFApp
addLIFFAppWithHttpInfo()
addLIFFAppWithHttpInfo(
addLiffAppRequest):Promise<ApiResponseType<AddLiffAppResponse>>
Defined in: lib/line-bot-client.generated.ts:309
Adding the LIFF app to a channel Calls POST https://api.line.me/liff/v1/apps. This method returns the response body together with the underlying httpResponse.
Parameters
addLiffAppRequest
Returns
Promise<ApiResponseType<AddLiffAppResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.addLIFFAppWithHttpInfo
addUserIdsToAudience()
addUserIdsToAudience(
file,audienceGroupId?,uploadDescription?):Promise<MessageAPIResponseBase>
Defined in: lib/line-bot-client.generated.ts:808
Add user IDs or Identifiers for Advertisers (IFAs) to an audience for uploading user IDs (by file). Calls PUT https://api-data.line.me/v2/bot/audienceGroup/upload/byFile. To inspect the HTTP status code or response headers, use addUserIdsToAudienceWithHttpInfo.
Parameters
file
Blob
A text file with one user ID or IFA entered per line. Specify text/plain as Content-Type. Max file number: 1 Max number: 1,500,000
audienceGroupId?
number
The audience ID.
uploadDescription?
string
The description to register with the job
Returns
Promise<MessageAPIResponseBase>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.addUserIdsToAudience
addUserIdsToAudienceWithHttpInfo()
addUserIdsToAudienceWithHttpInfo(
file,audienceGroupId?,uploadDescription?):Promise<ApiResponseType<MessageAPIResponseBase>>
Defined in: lib/line-bot-client.generated.ts:830
Add user IDs or Identifiers for Advertisers (IFAs) to an audience for uploading user IDs (by file). Calls PUT https://api-data.line.me/v2/bot/audienceGroup/upload/byFile. This method returns the response body together with the underlying httpResponse.
Parameters
file
Blob
A text file with one user ID or IFA entered per line. Specify text/plain as Content-Type. Max file number: 1 Max number: 1,500,000
audienceGroupId?
number
The audience ID.
uploadDescription?
string
The description to register with the job
Returns
Promise<ApiResponseType<MessageAPIResponseBase>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.addUserIdsToAudienceWithHttpInfo
attachModule()
attachModule(
grantType,code,redirectUri,codeVerifier?,clientId?,clientSecret?,region?,basicSearchId?,scope?,brandType?):Promise<AttachModuleResponse>
Defined in: lib/line-bot-client.generated.ts:3270
Attach by operation of the module channel provider Calls POST https://manager.line.biz/module/auth/v1/token. To inspect the HTTP status code or response headers, use attachModuleWithHttpInfo.
Parameters
grantType
string
authorization_code
code
string
Authorization code received from the LINE Platform.
redirectUri
string
Specify the redirect_uri specified in the URL for authentication and authorization.
codeVerifier?
string
Specify when using PKCE (Proof Key for Code Exchange) defined in the OAuth 2.0 extension specification as a countermeasure against authorization code interception attacks.
clientId?
string
Instead of using Authorization header, you can use this parameter to specify the channel ID of the module channel. You can find the channel ID of the module channel in the LINE Developers Console.
clientSecret?
string
Instead of using Authorization header, you can use this parameter to specify the channel secret of the module channel. You can find the channel secret of the module channel in the LINE Developers Console.
region?
string
If you specified a value for region in the URL for authentication and authorization, specify the same value.
basicSearchId?
string
If you specified a value for basic_search_id in the URL for authentication and authorization, specify the same value.
scope?
string
If you specified a value for scope in the URL for authentication and authorization, specify the same value.
brandType?
string
If you specified a value for brand_type in the URL for authentication and authorization, specify the same value.
Returns
Promise<AttachModuleResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.attachModule
attachModuleWithHttpInfo()
attachModuleWithHttpInfo(
grantType,code,redirectUri,codeVerifier?,clientId?,clientSecret?,region?,basicSearchId?,scope?,brandType?):Promise<ApiResponseType<AttachModuleResponse>>
Defined in: lib/line-bot-client.generated.ts:3313
Attach by operation of the module channel provider Calls POST https://manager.line.biz/module/auth/v1/token. This method returns the response body together with the underlying httpResponse.
Parameters
grantType
string
authorization_code
code
string
Authorization code received from the LINE Platform.
redirectUri
string
Specify the redirect_uri specified in the URL for authentication and authorization.
codeVerifier?
string
Specify when using PKCE (Proof Key for Code Exchange) defined in the OAuth 2.0 extension specification as a countermeasure against authorization code interception attacks.
clientId?
string
Instead of using Authorization header, you can use this parameter to specify the channel ID of the module channel. You can find the channel ID of the module channel in the LINE Developers Console.
clientSecret?
string
Instead of using Authorization header, you can use this parameter to specify the channel secret of the module channel. You can find the channel secret of the module channel in the LINE Developers Console.
region?
string
If you specified a value for region in the URL for authentication and authorization, specify the same value.
basicSearchId?
string
If you specified a value for basic_search_id in the URL for authentication and authorization, specify the same value.
scope?
string
If you specified a value for scope in the URL for authentication and authorization, specify the same value.
brandType?
string
If you specified a value for brand_type in the URL for authentication and authorization, specify the same value.
Returns
Promise<ApiResponseType<AttachModuleResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.attachModuleWithHttpInfo
broadcast()
broadcast(
broadcastRequest,xLineRetryKey?):Promise<object>
Defined in: lib/line-bot-client.generated.ts:903
Sends a message to multiple users at any time. Calls POST https://api.line.me/v2/bot/message/broadcast. To inspect the HTTP status code or response headers, use broadcastWithHttpInfo.
Parameters
broadcastRequest
xLineRetryKey?
string
Retry key. Specifies the UUID in hexadecimal format (e.g., 123e4567-e89b-12d3-a456-426614174000) generated by any method. The retry key isn't generated by LINE. Each developer must generate their own retry key.
Returns
Promise<object>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.broadcast
broadcastWithHttpInfo()
broadcastWithHttpInfo(
broadcastRequest,xLineRetryKey?):Promise<ApiResponseType<object>>
Defined in: lib/line-bot-client.generated.ts:919
Sends a message to multiple users at any time. Calls POST https://api.line.me/v2/bot/message/broadcast. This method returns the response body together with the underlying httpResponse.
Parameters
broadcastRequest
xLineRetryKey?
string
Retry key. Specifies the UUID in hexadecimal format (e.g., 123e4567-e89b-12d3-a456-426614174000) generated by any method. The retry key isn't generated by LINE. Each developer must generate their own retry key.
Returns
Promise<ApiResponseType<object>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.broadcastWithHttpInfo
cancelDefaultRichMenu()
cancelDefaultRichMenu():
Promise<MessageAPIResponseBase>
Defined in: lib/line-bot-client.generated.ts:936
Cancel default rich menu Calls DELETE https://api.line.me/v2/bot/user/all/richmenu. To inspect the HTTP status code or response headers, use cancelDefaultRichMenuWithHttpInfo.
Returns
Promise<MessageAPIResponseBase>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.cancelDefaultRichMenu
cancelDefaultRichMenuWithHttpInfo()
cancelDefaultRichMenuWithHttpInfo():
Promise<ApiResponseType<MessageAPIResponseBase>>
Defined in: lib/line-bot-client.generated.ts:947
Cancel default rich menu Calls DELETE https://api.line.me/v2/bot/user/all/richmenu. This method returns the response body together with the underlying httpResponse.
Returns
Promise<ApiResponseType<MessageAPIResponseBase>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.cancelDefaultRichMenuWithHttpInfo
closeCoupon()
closeCoupon(
couponId):Promise<MessageAPIResponseBase>
Defined in: lib/line-bot-client.generated.ts:961
Close coupon Calls PUT https://api.line.me/v2/bot/coupon/{couponId}/close. To inspect the HTTP status code or response headers, use closeCouponWithHttpInfo.
Parameters
couponId
string
Returns
Promise<MessageAPIResponseBase>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.closeCoupon
closeCouponWithHttpInfo()
closeCouponWithHttpInfo(
couponId):Promise<ApiResponseType<MessageAPIResponseBase>>
Defined in: lib/line-bot-client.generated.ts:975
Close coupon Calls PUT https://api.line.me/v2/bot/coupon/{couponId}/close. This method returns the response body together with the underlying httpResponse.
Parameters
couponId
string
Returns
Promise<ApiResponseType<MessageAPIResponseBase>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.closeCouponWithHttpInfo
createAudienceForUploadingUserIds()
createAudienceForUploadingUserIds(
file,description?,isIfaAudience?,uploadDescription?):Promise<CreateAudienceGroupResponse>
Defined in: lib/line-bot-client.generated.ts:853
Create audience for uploading user IDs (by file). Calls POST https://api-data.line.me/v2/bot/audienceGroup/upload/byFile. To inspect the HTTP status code or response headers, use createAudienceForUploadingUserIdsWithHttpInfo.
Parameters
file
Blob
A text file with one user ID or IFA entered per line. Specify text/plain as Content-Type. Max file number: 1 Max number: 1,500,000
description?
string
The audience's name. This is case-insensitive, meaning AUDIENCE and audience are considered identical. Max character limit: 120
isIfaAudience?
boolean
To specify recipients by IFAs: set true. To specify recipients by user IDs: set false or omit isIfaAudience property.
uploadDescription?
string
The description to register for the job (in jobs[].description).
Returns
Promise<CreateAudienceGroupResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.createAudienceForUploadingUserIds
createAudienceForUploadingUserIdsWithHttpInfo()
createAudienceForUploadingUserIdsWithHttpInfo(
file,description?,isIfaAudience?,uploadDescription?):Promise<ApiResponseType<CreateAudienceGroupResponse>>
Defined in: lib/line-bot-client.generated.ts:878
Create audience for uploading user IDs (by file). Calls POST https://api-data.line.me/v2/bot/audienceGroup/upload/byFile. This method returns the response body together with the underlying httpResponse.
Parameters
file
Blob
A text file with one user ID or IFA entered per line. Specify text/plain as Content-Type. Max file number: 1 Max number: 1,500,000
description?
string
The audience's name. This is case-insensitive, meaning AUDIENCE and audience are considered identical. Max character limit: 120
isIfaAudience?
boolean
To specify recipients by IFAs: set true. To specify recipients by user IDs: set false or omit isIfaAudience property.
uploadDescription?
string
The description to register for the job (in jobs[].description).
Returns
Promise<ApiResponseType<CreateAudienceGroupResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.createAudienceForUploadingUserIdsWithHttpInfo
createAudienceGroup()
createAudienceGroup(
createAudienceGroupRequest):Promise<CreateAudienceGroupResponse>
Defined in: lib/line-bot-client.generated.ts:448
Create audience for uploading user IDs (by JSON) Calls POST https://api.line.me/v2/bot/audienceGroup/upload. To inspect the HTTP status code or response headers, use createAudienceGroupWithHttpInfo.
Parameters
createAudienceGroupRequest
Returns
Promise<CreateAudienceGroupResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.createAudienceGroup
createAudienceGroupWithHttpInfo()
createAudienceGroupWithHttpInfo(
createAudienceGroupRequest):Promise<ApiResponseType<CreateAudienceGroupResponse>>
Defined in: lib/line-bot-client.generated.ts:464
Create audience for uploading user IDs (by JSON) Calls POST https://api.line.me/v2/bot/audienceGroup/upload. This method returns the response body together with the underlying httpResponse.
Parameters
createAudienceGroupRequest
Returns
Promise<ApiResponseType<CreateAudienceGroupResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.createAudienceGroupWithHttpInfo
createClickBasedAudienceGroup()
createClickBasedAudienceGroup(
createClickBasedAudienceGroupRequest):Promise<CreateClickBasedAudienceGroupResponse>
Defined in: lib/line-bot-client.generated.ts:482
Create audience for click-based retargeting Calls POST https://api.line.me/v2/bot/audienceGroup/click. To inspect the HTTP status code or response headers, use createClickBasedAudienceGroupWithHttpInfo.
Parameters
createClickBasedAudienceGroupRequest
CreateClickBasedAudienceGroupRequest
Returns
Promise<CreateClickBasedAudienceGroupResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.createClickBasedAudienceGroup
createClickBasedAudienceGroupWithHttpInfo()
createClickBasedAudienceGroupWithHttpInfo(
createClickBasedAudienceGroupRequest):Promise<ApiResponseType<CreateClickBasedAudienceGroupResponse>>
Defined in: lib/line-bot-client.generated.ts:498
Create audience for click-based retargeting Calls POST https://api.line.me/v2/bot/audienceGroup/click. This method returns the response body together with the underlying httpResponse.
Parameters
createClickBasedAudienceGroupRequest
CreateClickBasedAudienceGroupRequest
Returns
Promise<ApiResponseType<CreateClickBasedAudienceGroupResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.createClickBasedAudienceGroupWithHttpInfo
createCoupon()
createCoupon(
couponCreateRequest?):Promise<CouponCreateResponse>
Defined in: lib/line-bot-client.generated.ts:989
Create a new coupon. Define coupon details such as type, title, and validity period. Calls POST https://api.line.me/v2/bot/coupon. To inspect the HTTP status code or response headers, use createCouponWithHttpInfo.
Parameters
couponCreateRequest?
Returns
Promise<CouponCreateResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.createCoupon
createCouponWithHttpInfo()
createCouponWithHttpInfo(
couponCreateRequest?):Promise<ApiResponseType<CouponCreateResponse>>
Defined in: lib/line-bot-client.generated.ts:1003
Create a new coupon. Define coupon details such as type, title, and validity period. Calls POST https://api.line.me/v2/bot/coupon. This method returns the response body together with the underlying httpResponse.
Parameters
couponCreateRequest?
Returns
Promise<ApiResponseType<CouponCreateResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.createCouponWithHttpInfo
createImpBasedAudienceGroup()
createImpBasedAudienceGroup(
createImpBasedAudienceGroupRequest):Promise<CreateImpBasedAudienceGroupResponse>
Defined in: lib/line-bot-client.generated.ts:516
Create audience for impression-based retargeting Calls POST https://api.line.me/v2/bot/audienceGroup/imp. To inspect the HTTP status code or response headers, use createImpBasedAudienceGroupWithHttpInfo.
Parameters
createImpBasedAudienceGroupRequest
CreateImpBasedAudienceGroupRequest
Returns
Promise<CreateImpBasedAudienceGroupResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.createImpBasedAudienceGroup
createImpBasedAudienceGroupWithHttpInfo()
createImpBasedAudienceGroupWithHttpInfo(
createImpBasedAudienceGroupRequest):Promise<ApiResponseType<CreateImpBasedAudienceGroupResponse>>
Defined in: lib/line-bot-client.generated.ts:532
Create audience for impression-based retargeting Calls POST https://api.line.me/v2/bot/audienceGroup/imp. This method returns the response body together with the underlying httpResponse.
Parameters
createImpBasedAudienceGroupRequest
CreateImpBasedAudienceGroupRequest
Returns
Promise<ApiResponseType<CreateImpBasedAudienceGroupResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.createImpBasedAudienceGroupWithHttpInfo
createRichMenu()
createRichMenu(
richMenuRequest):Promise<RichMenuIdResponse>
Defined in: lib/line-bot-client.generated.ts:1019
Create rich menu Calls POST https://api.line.me/v2/bot/richmenu. To inspect the HTTP status code or response headers, use createRichMenuWithHttpInfo.
Parameters
richMenuRequest
Returns
Promise<RichMenuIdResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.createRichMenu
createRichMenuAlias()
createRichMenuAlias(
createRichMenuAliasRequest):Promise<MessageAPIResponseBase>
Defined in: lib/line-bot-client.generated.ts:1049
Create rich menu alias Calls POST https://api.line.me/v2/bot/richmenu/alias. To inspect the HTTP status code or response headers, use createRichMenuAliasWithHttpInfo.
Parameters
createRichMenuAliasRequest
Returns
Promise<MessageAPIResponseBase>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.createRichMenuAlias
createRichMenuAliasWithHttpInfo()
createRichMenuAliasWithHttpInfo(
createRichMenuAliasRequest):Promise<ApiResponseType<MessageAPIResponseBase>>
Defined in: lib/line-bot-client.generated.ts:1065
Create rich menu alias Calls POST https://api.line.me/v2/bot/richmenu/alias. This method returns the response body together with the underlying httpResponse.
Parameters
createRichMenuAliasRequest
Returns
Promise<ApiResponseType<MessageAPIResponseBase>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.createRichMenuAliasWithHttpInfo
createRichMenuWithHttpInfo()
createRichMenuWithHttpInfo(
richMenuRequest):Promise<ApiResponseType<RichMenuIdResponse>>
Defined in: lib/line-bot-client.generated.ts:1033
Create rich menu Calls POST https://api.line.me/v2/bot/richmenu. This method returns the response body together with the underlying httpResponse.
Parameters
richMenuRequest
Returns
Promise<ApiResponseType<RichMenuIdResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.createRichMenuWithHttpInfo
deleteAudienceGroup()
deleteAudienceGroup(
audienceGroupId):Promise<MessageAPIResponseBase>
Defined in: lib/line-bot-client.generated.ts:550
Delete audience Calls DELETE https://api.line.me/v2/bot/audienceGroup/{audienceGroupId}. To inspect the HTTP status code or response headers, use deleteAudienceGroupWithHttpInfo.
Parameters
audienceGroupId
number
The audience ID.
Returns
Promise<MessageAPIResponseBase>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.deleteAudienceGroup
deleteAudienceGroupWithHttpInfo()
deleteAudienceGroupWithHttpInfo(
audienceGroupId):Promise<ApiResponseType<MessageAPIResponseBase>>
Defined in: lib/line-bot-client.generated.ts:564
Delete audience Calls DELETE https://api.line.me/v2/bot/audienceGroup/{audienceGroupId}. This method returns the response body together with the underlying httpResponse.
Parameters
audienceGroupId
number
The audience ID.
Returns
Promise<ApiResponseType<MessageAPIResponseBase>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.deleteAudienceGroupWithHttpInfo
deleteLIFFApp()
deleteLIFFApp(
liffId):Promise<MessageAPIResponseBase>
Defined in: lib/line-bot-client.generated.ts:324
Deletes a LIFF app from a channel. Calls DELETE https://api.line.me/liff/v1/apps/{liffId}. To inspect the HTTP status code or response headers, use deleteLIFFAppWithHttpInfo.
Parameters
liffId
string
ID of the LIFF app to be updated
Returns
Promise<MessageAPIResponseBase>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.deleteLIFFApp
deleteLIFFAppWithHttpInfo()
deleteLIFFAppWithHttpInfo(
liffId):Promise<ApiResponseType<MessageAPIResponseBase>>
Defined in: lib/line-bot-client.generated.ts:339
Deletes a LIFF app from a channel. Calls DELETE https://api.line.me/liff/v1/apps/{liffId}. This method returns the response body together with the underlying httpResponse.
Parameters
liffId
string
ID of the LIFF app to be updated
Returns
Promise<ApiResponseType<MessageAPIResponseBase>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.deleteLIFFAppWithHttpInfo
deleteRichMenu()
deleteRichMenu(
richMenuId):Promise<MessageAPIResponseBase>
Defined in: lib/line-bot-client.generated.ts:1081
Deletes a rich menu. Calls DELETE https://api.line.me/v2/bot/richmenu/{richMenuId}. To inspect the HTTP status code or response headers, use deleteRichMenuWithHttpInfo.
Parameters
richMenuId
string
ID of a rich menu
Returns
Promise<MessageAPIResponseBase>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.deleteRichMenu
deleteRichMenuAlias()
deleteRichMenuAlias(
richMenuAliasId):Promise<MessageAPIResponseBase>
Defined in: lib/line-bot-client.generated.ts:1109
Delete rich menu alias Calls DELETE https://api.line.me/v2/bot/richmenu/alias/{richMenuAliasId}. To inspect the HTTP status code or response headers, use deleteRichMenuAliasWithHttpInfo.
Parameters
richMenuAliasId
string
Rich menu alias ID that you want to delete.
Returns
Promise<MessageAPIResponseBase>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.deleteRichMenuAlias
deleteRichMenuAliasWithHttpInfo()
deleteRichMenuAliasWithHttpInfo(
richMenuAliasId):Promise<ApiResponseType<MessageAPIResponseBase>>
Defined in: lib/line-bot-client.generated.ts:1123
Delete rich menu alias Calls DELETE https://api.line.me/v2/bot/richmenu/alias/{richMenuAliasId}. This method returns the response body together with the underlying httpResponse.
Parameters
richMenuAliasId
string
Rich menu alias ID that you want to delete.
Returns
Promise<ApiResponseType<MessageAPIResponseBase>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.deleteRichMenuAliasWithHttpInfo
deleteRichMenuWithHttpInfo()
deleteRichMenuWithHttpInfo(
richMenuId):Promise<ApiResponseType<MessageAPIResponseBase>>
Defined in: lib/line-bot-client.generated.ts:1095
Deletes a rich menu. Calls DELETE https://api.line.me/v2/bot/richmenu/{richMenuId}. This method returns the response body together with the underlying httpResponse.
Parameters
richMenuId
string
ID of a rich menu
Returns
Promise<ApiResponseType<MessageAPIResponseBase>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.deleteRichMenuWithHttpInfo
detachModule()
detachModule(
detachModuleRequest?):Promise<MessageAPIResponseBase>
Defined in: lib/line-bot-client.generated.ts:3171
The module channel admin calls the Detach API to detach the module channel from a LINE Official Account. Calls POST https://api.line.me/v2/bot/channel/detach. To inspect the HTTP status code or response headers, use detachModuleWithHttpInfo.
Parameters
detachModuleRequest?
Returns
Promise<MessageAPIResponseBase>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.detachModule
detachModuleWithHttpInfo()
detachModuleWithHttpInfo(
detachModuleRequest?):Promise<ApiResponseType<MessageAPIResponseBase>>
Defined in: lib/line-bot-client.generated.ts:3185
The module channel admin calls the Detach API to detach the module channel from a LINE Official Account. Calls POST https://api.line.me/v2/bot/channel/detach. This method returns the response body together with the underlying httpResponse.
Parameters
detachModuleRequest?
Returns
Promise<ApiResponseType<MessageAPIResponseBase>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.detachModuleWithHttpInfo
getAggregationUnitNameList()
getAggregationUnitNameList(
limit?,start?):Promise<GetAggregationUnitNameListResponse>
Defined in: lib/line-bot-client.generated.ts:1140
Get name list of units used this month Calls GET https://api.line.me/v2/bot/message/aggregation/list. To inspect the HTTP status code or response headers, use getAggregationUnitNameListWithHttpInfo.
Parameters
limit?
string
The maximum number of aggregation units you can get per request.
start?
string
Value of the continuation token found in the next property of the JSON object returned in the response. If you can't get all the aggregation units in one request, include this parameter to get the remaining array.
Returns
Promise<GetAggregationUnitNameListResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getAggregationUnitNameList
getAggregationUnitNameListWithHttpInfo()
getAggregationUnitNameListWithHttpInfo(
limit?,start?):Promise<ApiResponseType<GetAggregationUnitNameListResponse>>
Defined in: lib/line-bot-client.generated.ts:1156
Get name list of units used this month Calls GET https://api.line.me/v2/bot/message/aggregation/list. This method returns the response body together with the underlying httpResponse.
Parameters
limit?
string
The maximum number of aggregation units you can get per request.
start?
string
Value of the continuation token found in the next property of the JSON object returned in the response. If you can't get all the aggregation units in one request, include this parameter to get the remaining array.
Returns
Promise<ApiResponseType<GetAggregationUnitNameListResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getAggregationUnitNameListWithHttpInfo
getAggregationUnitUsage()
getAggregationUnitUsage():
Promise<GetAggregationUnitUsageResponse>
Defined in: lib/line-bot-client.generated.ts:1175
Get number of units used this month Calls GET https://api.line.me/v2/bot/message/aggregation/info. To inspect the HTTP status code or response headers, use getAggregationUnitUsageWithHttpInfo.
Returns
Promise<GetAggregationUnitUsageResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getAggregationUnitUsage
getAggregationUnitUsageWithHttpInfo()
getAggregationUnitUsageWithHttpInfo():
Promise<ApiResponseType<GetAggregationUnitUsageResponse>>
Defined in: lib/line-bot-client.generated.ts:1186
Get number of units used this month Calls GET https://api.line.me/v2/bot/message/aggregation/info. This method returns the response body together with the underlying httpResponse.
Returns
Promise<ApiResponseType<GetAggregationUnitUsageResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getAggregationUnitUsageWithHttpInfo
getAllLIFFApps()
getAllLIFFApps():
Promise<GetAllLiffAppsResponse>
Defined in: lib/line-bot-client.generated.ts:353
Gets information on all the LIFF apps added to the channel. Calls GET https://api.line.me/liff/v1/apps. To inspect the HTTP status code or response headers, use getAllLIFFAppsWithHttpInfo.
Returns
Promise<GetAllLiffAppsResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getAllLIFFApps
getAllLIFFAppsWithHttpInfo()
getAllLIFFAppsWithHttpInfo():
Promise<ApiResponseType<GetAllLiffAppsResponse>>
Defined in: lib/line-bot-client.generated.ts:365
Gets information on all the LIFF apps added to the channel. Calls GET https://api.line.me/liff/v1/apps. This method returns the response body together with the underlying httpResponse.
Returns
Promise<ApiResponseType<GetAllLiffAppsResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getAllLIFFAppsWithHttpInfo
getAudienceData()
getAudienceData(
audienceGroupId):Promise<GetAudienceDataResponse>
Defined in: lib/line-bot-client.generated.ts:580
Gets audience data. Calls GET https://api.line.me/v2/bot/audienceGroup/{audienceGroupId}. To inspect the HTTP status code or response headers, use getAudienceDataWithHttpInfo.
Parameters
audienceGroupId
number
The audience ID.
Returns
Promise<GetAudienceDataResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getAudienceData
getAudienceDataWithHttpInfo()
getAudienceDataWithHttpInfo(
audienceGroupId):Promise<ApiResponseType<GetAudienceDataResponse>>
Defined in: lib/line-bot-client.generated.ts:594
Gets audience data. Calls GET https://api.line.me/v2/bot/audienceGroup/{audienceGroupId}. This method returns the response body together with the underlying httpResponse.
Parameters
audienceGroupId
number
The audience ID.
Returns
Promise<ApiResponseType<GetAudienceDataResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getAudienceDataWithHttpInfo
getAudienceGroups()
getAudienceGroups(
page,description?,status?,size?,includesExternalPublicGroups?,createRoute?):Promise<GetAudienceGroupsResponse>
Defined in: lib/line-bot-client.generated.ts:615
Gets data for more than one audience. Calls GET https://api.line.me/v2/bot/audienceGroup/list. To inspect the HTTP status code or response headers, use getAudienceGroupsWithHttpInfo.
Parameters
page
number
The page to return when getting (paginated) results. Must be 1 or higher.
description?
string
The name of the audience(s) to return. You can search for partial matches. This is case-insensitive, meaning AUDIENCE and audience are considered identical. If omitted, the name of the audience(s) will not be used as a search criterion.
status?
The status of the audience(s) to return. If omitted, the status of the audience(s) will not be used as a search criterion.
size?
number
The number of audiences per page. Default: 20 Max: 40
includesExternalPublicGroups?
boolean
true (default): Get public audiences created in all channels linked to the same bot. false: Get audiences created in the same channel.
createRoute?
How the audience was created. If omitted, all audiences are included. OA_MANAGER: Return only audiences created with LINE Official Account Manager (opens new window). MESSAGING_API: Return only audiences created with Messaging API.
Returns
Promise<GetAudienceGroupsResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getAudienceGroups
getAudienceGroupsWithHttpInfo()
getAudienceGroupsWithHttpInfo(
page,description?,status?,size?,includesExternalPublicGroups?,createRoute?):Promise<ApiResponseType<GetAudienceGroupsResponse>>
Defined in: lib/line-bot-client.generated.ts:646
Gets data for more than one audience. Calls GET https://api.line.me/v2/bot/audienceGroup/list. This method returns the response body together with the underlying httpResponse.
Parameters
page
number
The page to return when getting (paginated) results. Must be 1 or higher.
description?
string
The name of the audience(s) to return. You can search for partial matches. This is case-insensitive, meaning AUDIENCE and audience are considered identical. If omitted, the name of the audience(s) will not be used as a search criterion.
status?
The status of the audience(s) to return. If omitted, the status of the audience(s) will not be used as a search criterion.
size?
number
The number of audiences per page. Default: 20 Max: 40
includesExternalPublicGroups?
boolean
true (default): Get public audiences created in all channels linked to the same bot. false: Get audiences created in the same channel.
createRoute?
How the audience was created. If omitted, all audiences are included. OA_MANAGER: Return only audiences created with LINE Official Account Manager (opens new window). MESSAGING_API: Return only audiences created with Messaging API.
Returns
Promise<ApiResponseType<GetAudienceGroupsResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getAudienceGroupsWithHttpInfo
getBotInfo()
getBotInfo():
Promise<BotInfoResponse>
Defined in: lib/line-bot-client.generated.ts:1199
Get bot info Calls GET https://api.line.me/v2/bot/info. To inspect the HTTP status code or response headers, use getBotInfoWithHttpInfo.
Returns
Promise<BotInfoResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getBotInfo
getBotInfoWithHttpInfo()
getBotInfoWithHttpInfo():
Promise<ApiResponseType<BotInfoResponse>>
Defined in: lib/line-bot-client.generated.ts:1210
Get bot info Calls GET https://api.line.me/v2/bot/info. This method returns the response body together with the underlying httpResponse.
Returns
Promise<ApiResponseType<BotInfoResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getBotInfoWithHttpInfo
getCouponDetail()
getCouponDetail(
couponId):Promise<CouponResponse>
Defined in: lib/line-bot-client.generated.ts:1224
Get coupon detail Calls GET https://api.line.me/v2/bot/coupon/{couponId}. To inspect the HTTP status code or response headers, use getCouponDetailWithHttpInfo.
Parameters
couponId
string
Returns
Promise<CouponResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getCouponDetail
getCouponDetailWithHttpInfo()
getCouponDetailWithHttpInfo(
couponId):Promise<ApiResponseType<CouponResponse>>
Defined in: lib/line-bot-client.generated.ts:1238
Get coupon detail Calls GET https://api.line.me/v2/bot/coupon/{couponId}. This method returns the response body together with the underlying httpResponse.
Parameters
couponId
string
Returns
Promise<ApiResponseType<CouponResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getCouponDetailWithHttpInfo
getDefaultRichMenuId()
getDefaultRichMenuId():
Promise<RichMenuIdResponse>
Defined in: lib/line-bot-client.generated.ts:1251
Gets the ID of the default rich menu set with the Messaging API. Calls GET https://api.line.me/v2/bot/user/all/richmenu. To inspect the HTTP status code or response headers, use getDefaultRichMenuIdWithHttpInfo.
Returns
Promise<RichMenuIdResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getDefaultRichMenuId
getDefaultRichMenuIdWithHttpInfo()
getDefaultRichMenuIdWithHttpInfo():
Promise<ApiResponseType<RichMenuIdResponse>>
Defined in: lib/line-bot-client.generated.ts:1262
Gets the ID of the default rich menu set with the Messaging API. Calls GET https://api.line.me/v2/bot/user/all/richmenu. This method returns the response body together with the underlying httpResponse.
Returns
Promise<ApiResponseType<RichMenuIdResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getDefaultRichMenuIdWithHttpInfo
getFollowers()
getFollowers(
start?,limit?):Promise<GetFollowersResponse>
Defined in: lib/line-bot-client.generated.ts:1277
Get a list of users who added your LINE Official Account as a friend Calls GET https://api.line.me/v2/bot/followers/ids. To inspect the HTTP status code or response headers, use getFollowersWithHttpInfo.
Parameters
start?
string
Value of the continuation token found in the next property of the JSON object returned in the response. Include this parameter to get the next array of user IDs.
limit?
number
The maximum number of user IDs to retrieve in a single request.
Returns
Promise<GetFollowersResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getFollowers
getFollowersWithHttpInfo()
getFollowersWithHttpInfo(
start?,limit?):Promise<ApiResponseType<GetFollowersResponse>>
Defined in: lib/line-bot-client.generated.ts:1293
Get a list of users who added your LINE Official Account as a friend Calls GET https://api.line.me/v2/bot/followers/ids. This method returns the response body together with the underlying httpResponse.
Parameters
start?
string
Value of the continuation token found in the next property of the JSON object returned in the response. Include this parameter to get the next array of user IDs.
limit?
number
The maximum number of user IDs to retrieve in a single request.
Returns
Promise<ApiResponseType<GetFollowersResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getFollowersWithHttpInfo
getFriendsDemographics()
getFriendsDemographics():
Promise<GetFriendsDemographicsResponse>
Defined in: lib/line-bot-client.generated.ts:48
Retrieves the demographic attributes for a LINE Official Account's friends.You can only retrieve information about friends for LINE Official Accounts created by users in Japan (JP), Thailand (TH), Taiwan (TW) and Indonesia (ID). Calls GET https://api.line.me/v2/bot/insight/demographic. To inspect the HTTP status code or response headers, use getFriendsDemographicsWithHttpInfo.
Returns
Promise<GetFriendsDemographicsResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getFriendsDemographics
getFriendsDemographicsWithHttpInfo()
getFriendsDemographicsWithHttpInfo():
Promise<ApiResponseType<GetFriendsDemographicsResponse>>
Defined in: lib/line-bot-client.generated.ts:59
Retrieves the demographic attributes for a LINE Official Account's friends.You can only retrieve information about friends for LINE Official Accounts created by users in Japan (JP), Thailand (TH), Taiwan (TW) and Indonesia (ID). Calls GET https://api.line.me/v2/bot/insight/demographic. This method returns the response body together with the underlying httpResponse.
Returns
Promise<ApiResponseType<GetFriendsDemographicsResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getFriendsDemographicsWithHttpInfo
getGroupMemberCount()
getGroupMemberCount(
groupId):Promise<GroupMemberCountResponse>
Defined in: lib/line-bot-client.generated.ts:1308
Get number of users in a group chat Calls GET https://api.line.me/v2/bot/group/{groupId}/members/count. To inspect the HTTP status code or response headers, use getGroupMemberCountWithHttpInfo.
Parameters
groupId
string
Group ID
Returns
Promise<GroupMemberCountResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getGroupMemberCount
getGroupMemberCountWithHttpInfo()
getGroupMemberCountWithHttpInfo(
groupId):Promise<ApiResponseType<GroupMemberCountResponse>>
Defined in: lib/line-bot-client.generated.ts:1322
Get number of users in a group chat Calls GET https://api.line.me/v2/bot/group/{groupId}/members/count. This method returns the response body together with the underlying httpResponse.
Parameters
groupId
string
Group ID
Returns
Promise<ApiResponseType<GroupMemberCountResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getGroupMemberCountWithHttpInfo
getGroupMemberProfile()
getGroupMemberProfile(
groupId,userId):Promise<GroupUserProfileResponse>
Defined in: lib/line-bot-client.generated.ts:1337
Get group chat member profile Calls GET https://api.line.me/v2/bot/group/{groupId}/member/{userId}. To inspect the HTTP status code or response headers, use getGroupMemberProfileWithHttpInfo.
Parameters
groupId
string
Group ID
userId
string
User ID
Returns
Promise<GroupUserProfileResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getGroupMemberProfile
getGroupMemberProfileWithHttpInfo()
getGroupMemberProfileWithHttpInfo(
groupId,userId):Promise<ApiResponseType<GroupUserProfileResponse>>
Defined in: lib/line-bot-client.generated.ts:1353
Get group chat member profile Calls GET https://api.line.me/v2/bot/group/{groupId}/member/{userId}. This method returns the response body together with the underlying httpResponse.
Parameters
groupId
string
Group ID
userId
string
User ID
Returns
Promise<ApiResponseType<GroupUserProfileResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getGroupMemberProfileWithHttpInfo
getGroupMembersIds()
getGroupMembersIds(
groupId,start?):Promise<MembersIdsResponse>
Defined in: lib/line-bot-client.generated.ts:1372
Get group chat member user IDs Calls GET https://api.line.me/v2/bot/group/{groupId}/members/ids. To inspect the HTTP status code or response headers, use getGroupMembersIdsWithHttpInfo.
Parameters
groupId
string
Group ID
start?
string
Value of the continuation token found in the next property of the JSON object returned in the response. Include this parameter to get the next array of user IDs for the members of the group.
Returns
Promise<MembersIdsResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getGroupMembersIds
getGroupMembersIdsWithHttpInfo()
getGroupMembersIdsWithHttpInfo(
groupId,start?):Promise<ApiResponseType<MembersIdsResponse>>
Defined in: lib/line-bot-client.generated.ts:1388
Get group chat member user IDs Calls GET https://api.line.me/v2/bot/group/{groupId}/members/ids. This method returns the response body together with the underlying httpResponse.
Parameters
groupId
string
Group ID
start?
string
Value of the continuation token found in the next property of the JSON object returned in the response. Include this parameter to get the next array of user IDs for the members of the group.
Returns
Promise<ApiResponseType<MembersIdsResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getGroupMembersIdsWithHttpInfo
getGroupSummary()
getGroupSummary(
groupId):Promise<GroupSummaryResponse>
Defined in: lib/line-bot-client.generated.ts:1406
Get group chat summary Calls GET https://api.line.me/v2/bot/group/{groupId}/summary. To inspect the HTTP status code or response headers, use getGroupSummaryWithHttpInfo.
Parameters
groupId
string
Group ID
Returns
Promise<GroupSummaryResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getGroupSummary
getGroupSummaryWithHttpInfo()
getGroupSummaryWithHttpInfo(
groupId):Promise<ApiResponseType<GroupSummaryResponse>>
Defined in: lib/line-bot-client.generated.ts:1420
Get group chat summary Calls GET https://api.line.me/v2/bot/group/{groupId}/summary. This method returns the response body together with the underlying httpResponse.
Parameters
groupId
string
Group ID
Returns
Promise<ApiResponseType<GroupSummaryResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getGroupSummaryWithHttpInfo
getJoinedMembershipUsers()
getJoinedMembershipUsers(
membershipId,start?,limit?):Promise<GetJoinedMembershipUsersResponse>
Defined in: lib/line-bot-client.generated.ts:1436
Get a list of user IDs who joined the membership. Calls GET https://api.line.me/v2/bot/membership/{membershipId}/users/ids. To inspect the HTTP status code or response headers, use getJoinedMembershipUsersWithHttpInfo.
Parameters
membershipId
number
Membership plan ID.
start?
string
A continuation token to get next remaining membership user IDs. Returned only when there are remaining user IDs that weren't returned in the userIds property in the previous request. The continuation token expires in 24 hours (86,400 seconds).
limit?
number
The max number of items to return for this API call. The value is set to 300 by default, but the max acceptable value is 1000.
Returns
Promise<GetJoinedMembershipUsersResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getJoinedMembershipUsers
getJoinedMembershipUsersWithHttpInfo()
getJoinedMembershipUsersWithHttpInfo(
membershipId,start?,limit?):Promise<ApiResponseType<GetJoinedMembershipUsersResponse>>
Defined in: lib/line-bot-client.generated.ts:1458
Get a list of user IDs who joined the membership. Calls GET https://api.line.me/v2/bot/membership/{membershipId}/users/ids. This method returns the response body together with the underlying httpResponse.
Parameters
membershipId
number
Membership plan ID.
start?
string
A continuation token to get next remaining membership user IDs. Returned only when there are remaining user IDs that weren't returned in the userIds property in the previous request. The continuation token expires in 24 hours (86,400 seconds).
limit?
number
The max number of items to return for this API call. The value is set to 300 by default, but the max acceptable value is 1000.
Returns
Promise<ApiResponseType<GetJoinedMembershipUsersResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getJoinedMembershipUsersWithHttpInfo
getMembershipList()
getMembershipList():
Promise<MembershipListResponse>
Defined in: lib/line-bot-client.generated.ts:1479
Get a list of memberships. Calls GET https://api.line.me/v2/bot/membership/list. To inspect the HTTP status code or response headers, use getMembershipListWithHttpInfo.
Returns
Promise<MembershipListResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getMembershipList
getMembershipListWithHttpInfo()
getMembershipListWithHttpInfo():
Promise<ApiResponseType<MembershipListResponse>>
Defined in: lib/line-bot-client.generated.ts:1490
Get a list of memberships. Calls GET https://api.line.me/v2/bot/membership/list. This method returns the response body together with the underlying httpResponse.
Returns
Promise<ApiResponseType<MembershipListResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getMembershipListWithHttpInfo
getMembershipSubscription()
getMembershipSubscription(
userId):Promise<GetMembershipSubscriptionResponse>
Defined in: lib/line-bot-client.generated.ts:1504
Get a user's membership subscription. Calls GET https://api.line.me/v2/bot/membership/subscription/{userId}. To inspect the HTTP status code or response headers, use getMembershipSubscriptionWithHttpInfo.
Parameters
userId
string
User ID
Returns
Promise<GetMembershipSubscriptionResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getMembershipSubscription
getMembershipSubscriptionWithHttpInfo()
getMembershipSubscriptionWithHttpInfo(
userId):Promise<ApiResponseType<GetMembershipSubscriptionResponse>>
Defined in: lib/line-bot-client.generated.ts:1518
Get a user's membership subscription. Calls GET https://api.line.me/v2/bot/membership/subscription/{userId}. This method returns the response body together with the underlying httpResponse.
Parameters
userId
string
User ID
Returns
Promise<ApiResponseType<GetMembershipSubscriptionResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getMembershipSubscriptionWithHttpInfo
getMessageContent()
getMessageContent(
messageId):Promise<Readable>
Defined in: lib/line-bot-client.generated.ts:2980
Download image, video, and audio data sent from users. Calls GET https://api-data.line.me/v2/bot/message/{messageId}/content. To inspect the HTTP status code or response headers, use getMessageContentWithHttpInfo.
Parameters
messageId
string
Message ID of video or audio
Returns
Promise<Readable>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getMessageContent
getMessageContentPreview()
getMessageContentPreview(
messageId):Promise<Readable>
Defined in: lib/line-bot-client.generated.ts:3008
Get a preview image of the image or video Calls GET https://api-data.line.me/v2/bot/message/{messageId}/content/preview. To inspect the HTTP status code or response headers, use getMessageContentPreviewWithHttpInfo.
Parameters
messageId
string
Message ID of image or video
Returns
Promise<Readable>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getMessageContentPreview
getMessageContentPreviewWithHttpInfo()
getMessageContentPreviewWithHttpInfo(
messageId):Promise<ApiResponseType<Readable>>
Defined in: lib/line-bot-client.generated.ts:3020
Get a preview image of the image or video Calls GET https://api-data.line.me/v2/bot/message/{messageId}/content/preview. This method returns the response body together with the underlying httpResponse.
Parameters
messageId
string
Message ID of image or video
Returns
Promise<ApiResponseType<Readable>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getMessageContentPreviewWithHttpInfo
getMessageContentTranscodingByMessageId()
getMessageContentTranscodingByMessageId(
messageId):Promise<GetMessageContentTranscodingResponse>
Defined in: lib/line-bot-client.generated.ts:3036
Verify the preparation status of a video or audio for getting Calls GET https://api-data.line.me/v2/bot/message/{messageId}/content/transcoding. To inspect the HTTP status code or response headers, use getMessageContentTranscodingByMessageIdWithHttpInfo.
Parameters
messageId
string
Message ID of video or audio
Returns
Promise<GetMessageContentTranscodingResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getMessageContentTranscodingByMessageId
getMessageContentTranscodingByMessageIdWithHttpInfo()
getMessageContentTranscodingByMessageIdWithHttpInfo(
messageId):Promise<ApiResponseType<GetMessageContentTranscodingResponse>>
Defined in: lib/line-bot-client.generated.ts:3052
Verify the preparation status of a video or audio for getting Calls GET https://api-data.line.me/v2/bot/message/{messageId}/content/transcoding. This method returns the response body together with the underlying httpResponse.
Parameters
messageId
string
Message ID of video or audio
Returns
Promise<ApiResponseType<GetMessageContentTranscodingResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getMessageContentTranscodingByMessageIdWithHttpInfo
getMessageContentWithHttpInfo()
getMessageContentWithHttpInfo(
messageId):Promise<ApiResponseType<Readable>>
Defined in: lib/line-bot-client.generated.ts:2992
Download image, video, and audio data sent from users. Calls GET https://api-data.line.me/v2/bot/message/{messageId}/content. This method returns the response body together with the underlying httpResponse.
Parameters
messageId
string
Message ID of video or audio
Returns
Promise<ApiResponseType<Readable>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getMessageContentWithHttpInfo
getMessageEvent()
getMessageEvent(
requestId):Promise<GetMessageEventResponse>
Defined in: lib/line-bot-client.generated.ts:74
Returns statistics about how users interact with narrowcast messages or broadcast messages sent from your LINE Official Account. Calls GET https://api.line.me/v2/bot/insight/message/event. To inspect the HTTP status code or response headers, use getMessageEventWithHttpInfo.
Parameters
requestId
string
Request ID of a narrowcast message or broadcast message. Each Messaging API request has a request ID.
Returns
Promise<GetMessageEventResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getMessageEvent
getMessageEventWithHttpInfo()
getMessageEventWithHttpInfo(
requestId):Promise<ApiResponseType<GetMessageEventResponse>>
Defined in: lib/line-bot-client.generated.ts:89
Returns statistics about how users interact with narrowcast messages or broadcast messages sent from your LINE Official Account. Calls GET https://api.line.me/v2/bot/insight/message/event. This method returns the response body together with the underlying httpResponse.
Parameters
requestId
string
Request ID of a narrowcast message or broadcast message. Each Messaging API request has a request ID.
Returns
Promise<ApiResponseType<GetMessageEventResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getMessageEventWithHttpInfo
getMessageQuota()
getMessageQuota():
Promise<MessageQuotaResponse>
Defined in: lib/line-bot-client.generated.ts:1535
Gets the target limit for sending messages in the current month. The total number of the free messages and the additional messages is returned. Calls GET https://api.line.me/v2/bot/message/quota. To inspect the HTTP status code or response headers, use getMessageQuotaWithHttpInfo.
Returns
Promise<MessageQuotaResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getMessageQuota
getMessageQuotaConsumption()
getMessageQuotaConsumption():
Promise<QuotaConsumptionResponse>
Defined in: lib/line-bot-client.generated.ts:1559
Gets the number of messages sent in the current month. Calls GET https://api.line.me/v2/bot/message/quota/consumption. To inspect the HTTP status code or response headers, use getMessageQuotaConsumptionWithHttpInfo.
Returns
Promise<QuotaConsumptionResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getMessageQuotaConsumption
getMessageQuotaConsumptionWithHttpInfo()
getMessageQuotaConsumptionWithHttpInfo():
Promise<ApiResponseType<QuotaConsumptionResponse>>
Defined in: lib/line-bot-client.generated.ts:1570
Gets the number of messages sent in the current month. Calls GET https://api.line.me/v2/bot/message/quota/consumption. This method returns the response body together with the underlying httpResponse.
Returns
Promise<ApiResponseType<QuotaConsumptionResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getMessageQuotaConsumptionWithHttpInfo
getMessageQuotaWithHttpInfo()
getMessageQuotaWithHttpInfo():
Promise<ApiResponseType<MessageQuotaResponse>>
Defined in: lib/line-bot-client.generated.ts:1546
Gets the target limit for sending messages in the current month. The total number of the free messages and the additional messages is returned. Calls GET https://api.line.me/v2/bot/message/quota. This method returns the response body together with the underlying httpResponse.
Returns
Promise<ApiResponseType<MessageQuotaResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getMessageQuotaWithHttpInfo
getModules()
getModules(
start?,limit?):Promise<GetModulesResponse>
Defined in: lib/line-bot-client.generated.ts:3202
Gets a list of basic information about the bots of multiple LINE Official Accounts that have attached module channels. Calls GET https://api.line.me/v2/bot/list. To inspect the HTTP status code or response headers, use getModulesWithHttpInfo.
Parameters
start?
string
Value of the continuation token found in the next property of the JSON object returned in the response. If you can't get all basic information about the bots in one request, include this parameter to get the remaining array.
limit?
number
Specify the maximum number of bots that you get basic information from. The default value is 100. Max value: 100
Returns
Promise<GetModulesResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getModules
getModulesWithHttpInfo()
getModulesWithHttpInfo(
start?,limit?):Promise<ApiResponseType<GetModulesResponse>>
Defined in: lib/line-bot-client.generated.ts:3218
Gets a list of basic information about the bots of multiple LINE Official Accounts that have attached module channels. Calls GET https://api.line.me/v2/bot/list. This method returns the response body together with the underlying httpResponse.
Parameters
start?
string
Value of the continuation token found in the next property of the JSON object returned in the response. If you can't get all basic information about the bots in one request, include this parameter to get the remaining array.
limit?
number
Specify the maximum number of bots that you get basic information from. The default value is 100. Max value: 100
Returns
Promise<ApiResponseType<GetModulesResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getModulesWithHttpInfo
getNarrowcastProgress()
getNarrowcastProgress(
requestId):Promise<NarrowcastProgressResponse>
Defined in: lib/line-bot-client.generated.ts:1584
Gets the status of a narrowcast message. Calls GET https://api.line.me/v2/bot/message/progress/narrowcast. To inspect the HTTP status code or response headers, use getNarrowcastProgressWithHttpInfo.
Parameters
requestId
string
The narrowcast message's request ID. Each Messaging API request has a request ID.
Returns
Promise<NarrowcastProgressResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getNarrowcastProgress
getNarrowcastProgressWithHttpInfo()
getNarrowcastProgressWithHttpInfo(
requestId):Promise<ApiResponseType<NarrowcastProgressResponse>>
Defined in: lib/line-bot-client.generated.ts:1598
Gets the status of a narrowcast message. Calls GET https://api.line.me/v2/bot/message/progress/narrowcast. This method returns the response body together with the underlying httpResponse.
Parameters
requestId
string
The narrowcast message's request ID. Each Messaging API request has a request ID.
Returns
Promise<ApiResponseType<NarrowcastProgressResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getNarrowcastProgressWithHttpInfo
getNumberOfFollowers()
getNumberOfFollowers(
date?):Promise<GetNumberOfFollowersResponse>
Defined in: lib/line-bot-client.generated.ts:104
Returns the number of users who have added the LINE Official Account on or before a specified date. Calls GET https://api.line.me/v2/bot/insight/followers. To inspect the HTTP status code or response headers, use getNumberOfFollowersWithHttpInfo.
Parameters
date?
string
Date for which to retrieve the number of followers. Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9
Returns
Promise<GetNumberOfFollowersResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getNumberOfFollowers
getNumberOfFollowersWithHttpInfo()
getNumberOfFollowersWithHttpInfo(
date?):Promise<ApiResponseType<GetNumberOfFollowersResponse>>
Defined in: lib/line-bot-client.generated.ts:119
Returns the number of users who have added the LINE Official Account on or before a specified date. Calls GET https://api.line.me/v2/bot/insight/followers. This method returns the response body together with the underlying httpResponse.
Parameters
date?
string
Date for which to retrieve the number of followers. Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9
Returns
Promise<ApiResponseType<GetNumberOfFollowersResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getNumberOfFollowersWithHttpInfo
getNumberOfMessageDeliveries()
getNumberOfMessageDeliveries(
date):Promise<GetNumberOfMessageDeliveriesResponse>
Defined in: lib/line-bot-client.generated.ts:134
Returns the number of messages sent from LINE Official Account on a specified day. Calls GET https://api.line.me/v2/bot/insight/message/delivery. To inspect the HTTP status code or response headers, use getNumberOfMessageDeliveriesWithHttpInfo.
Parameters
date
string
Date for which to retrieve number of sent messages. - Format: yyyyMMdd (e.g. 20191231) - Timezone: UTC+9
Returns
Promise<GetNumberOfMessageDeliveriesResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getNumberOfMessageDeliveries
getNumberOfMessageDeliveriesWithHttpInfo()
getNumberOfMessageDeliveriesWithHttpInfo(
date):Promise<ApiResponseType<GetNumberOfMessageDeliveriesResponse>>
Defined in: lib/line-bot-client.generated.ts:149
Returns the number of messages sent from LINE Official Account on a specified day. Calls GET https://api.line.me/v2/bot/insight/message/delivery. This method returns the response body together with the underlying httpResponse.
Parameters
date
string
Date for which to retrieve number of sent messages. - Format: yyyyMMdd (e.g. 20191231) - Timezone: UTC+9
Returns
Promise<ApiResponseType<GetNumberOfMessageDeliveriesResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getNumberOfMessageDeliveriesWithHttpInfo
getNumberOfSentBroadcastMessages()
getNumberOfSentBroadcastMessages(
date):Promise<NumberOfMessagesResponse>
Defined in: lib/line-bot-client.generated.ts:1614
Get number of sent broadcast messages Calls GET https://api.line.me/v2/bot/message/delivery/broadcast. To inspect the HTTP status code or response headers, use getNumberOfSentBroadcastMessagesWithHttpInfo.
Parameters
date
string
Date the messages were sent Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9
Returns
Promise<NumberOfMessagesResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getNumberOfSentBroadcastMessages
getNumberOfSentBroadcastMessagesWithHttpInfo()
getNumberOfSentBroadcastMessagesWithHttpInfo(
date):Promise<ApiResponseType<NumberOfMessagesResponse>>
Defined in: lib/line-bot-client.generated.ts:1628
Get number of sent broadcast messages Calls GET https://api.line.me/v2/bot/message/delivery/broadcast. This method returns the response body together with the underlying httpResponse.
Parameters
date
string
Date the messages were sent Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9
Returns
Promise<ApiResponseType<NumberOfMessagesResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getNumberOfSentBroadcastMessagesWithHttpInfo
getNumberOfSentMulticastMessages()
getNumberOfSentMulticastMessages(
date):Promise<NumberOfMessagesResponse>
Defined in: lib/line-bot-client.generated.ts:1644
Get number of sent multicast messages Calls GET https://api.line.me/v2/bot/message/delivery/multicast. To inspect the HTTP status code or response headers, use getNumberOfSentMulticastMessagesWithHttpInfo.
Parameters
date
string
Date the messages were sent Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9
Returns
Promise<NumberOfMessagesResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getNumberOfSentMulticastMessages
getNumberOfSentMulticastMessagesWithHttpInfo()
getNumberOfSentMulticastMessagesWithHttpInfo(
date):Promise<ApiResponseType<NumberOfMessagesResponse>>
Defined in: lib/line-bot-client.generated.ts:1658
Get number of sent multicast messages Calls GET https://api.line.me/v2/bot/message/delivery/multicast. This method returns the response body together with the underlying httpResponse.
Parameters
date
string
Date the messages were sent Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9
Returns
Promise<ApiResponseType<NumberOfMessagesResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getNumberOfSentMulticastMessagesWithHttpInfo
getNumberOfSentPushMessages()
getNumberOfSentPushMessages(
date):Promise<NumberOfMessagesResponse>
Defined in: lib/line-bot-client.generated.ts:1674
Get number of sent push messages Calls GET https://api.line.me/v2/bot/message/delivery/push. To inspect the HTTP status code or response headers, use getNumberOfSentPushMessagesWithHttpInfo.
Parameters
date
string
Date the messages were sent Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9
Returns
Promise<NumberOfMessagesResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getNumberOfSentPushMessages
getNumberOfSentPushMessagesWithHttpInfo()
getNumberOfSentPushMessagesWithHttpInfo(
date):Promise<ApiResponseType<NumberOfMessagesResponse>>
Defined in: lib/line-bot-client.generated.ts:1688
Get number of sent push messages Calls GET https://api.line.me/v2/bot/message/delivery/push. This method returns the response body together with the underlying httpResponse.
Parameters
date
string
Date the messages were sent Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9
Returns
Promise<ApiResponseType<NumberOfMessagesResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getNumberOfSentPushMessagesWithHttpInfo
getNumberOfSentReplyMessages()
getNumberOfSentReplyMessages(
date):Promise<NumberOfMessagesResponse>
Defined in: lib/line-bot-client.generated.ts:1704
Get number of sent reply messages Calls GET https://api.line.me/v2/bot/message/delivery/reply. To inspect the HTTP status code or response headers, use getNumberOfSentReplyMessagesWithHttpInfo.
Parameters
date
string
Date the messages were sent Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9
Returns
Promise<NumberOfMessagesResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getNumberOfSentReplyMessages
getNumberOfSentReplyMessagesWithHttpInfo()
getNumberOfSentReplyMessagesWithHttpInfo(
date):Promise<ApiResponseType<NumberOfMessagesResponse>>
Defined in: lib/line-bot-client.generated.ts:1718
Get number of sent reply messages Calls GET https://api.line.me/v2/bot/message/delivery/reply. This method returns the response body together with the underlying httpResponse.
Parameters
date
string
Date the messages were sent Format: yyyyMMdd (e.g. 20191231) Timezone: UTC+9
Returns
Promise<ApiResponseType<NumberOfMessagesResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getNumberOfSentReplyMessagesWithHttpInfo
getPNPMessageStatistics()
getPNPMessageStatistics(
date):Promise<NumberOfMessagesResponse>
Defined in: lib/line-bot-client.generated.ts:1734
Get number of sent LINE notification messages Calls GET https://api.line.me/v2/bot/message/delivery/pnp. To inspect the HTTP status code or response headers, use getPNPMessageStatisticsWithHttpInfo.
Parameters
date
string
Date the message was sent Format: yyyyMMdd (Example:20211231) Time zone: UTC+9
Returns
Promise<NumberOfMessagesResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getPNPMessageStatistics
getPNPMessageStatisticsWithHttpInfo()
getPNPMessageStatisticsWithHttpInfo(
date):Promise<ApiResponseType<NumberOfMessagesResponse>>
Defined in: lib/line-bot-client.generated.ts:1748
Get number of sent LINE notification messages Calls GET https://api.line.me/v2/bot/message/delivery/pnp. This method returns the response body together with the underlying httpResponse.
Parameters
date
string
Date the message was sent Format: yyyyMMdd (Example:20211231) Time zone: UTC+9
Returns
Promise<ApiResponseType<NumberOfMessagesResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getPNPMessageStatisticsWithHttpInfo
getProfile()
getProfile(
userId):Promise<UserProfileResponse>
Defined in: lib/line-bot-client.generated.ts:1762
Get profile Calls GET https://api.line.me/v2/bot/profile/{userId}. To inspect the HTTP status code or response headers, use getProfileWithHttpInfo.
Parameters
userId
string
User ID
Returns
Promise<UserProfileResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getProfile
getProfileWithHttpInfo()
getProfileWithHttpInfo(
userId):Promise<ApiResponseType<UserProfileResponse>>
Defined in: lib/line-bot-client.generated.ts:1776
Get profile Calls GET https://api.line.me/v2/bot/profile/{userId}. This method returns the response body together with the underlying httpResponse.
Parameters
userId
string
User ID
Returns
Promise<ApiResponseType<UserProfileResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getProfileWithHttpInfo
getRichMenu()
getRichMenu(
richMenuId):Promise<RichMenuResponse>
Defined in: lib/line-bot-client.generated.ts:1790
Gets a rich menu via a rich menu ID. Calls GET https://api.line.me/v2/bot/richmenu/{richMenuId}. To inspect the HTTP status code or response headers, use getRichMenuWithHttpInfo.
Parameters
richMenuId
string
ID of a rich menu
Returns
Promise<RichMenuResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getRichMenu
getRichMenuAlias()
getRichMenuAlias(
richMenuAliasId):Promise<RichMenuAliasResponse>
Defined in: lib/line-bot-client.generated.ts:1818
Get rich menu alias information Calls GET https://api.line.me/v2/bot/richmenu/alias/{richMenuAliasId}. To inspect the HTTP status code or response headers, use getRichMenuAliasWithHttpInfo.
Parameters
richMenuAliasId
string
The rich menu alias ID whose information you want to obtain.
Returns
Promise<RichMenuAliasResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getRichMenuAlias
getRichMenuAliasList()
getRichMenuAliasList():
Promise<RichMenuAliasListResponse>
Defined in: lib/line-bot-client.generated.ts:1847
Get list of rich menu alias Calls GET https://api.line.me/v2/bot/richmenu/alias/list. To inspect the HTTP status code or response headers, use getRichMenuAliasListWithHttpInfo.
Returns
Promise<RichMenuAliasListResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getRichMenuAliasList
getRichMenuAliasListWithHttpInfo()
getRichMenuAliasListWithHttpInfo():
Promise<ApiResponseType<RichMenuAliasListResponse>>
Defined in: lib/line-bot-client.generated.ts:1858
Get list of rich menu alias Calls GET https://api.line.me/v2/bot/richmenu/alias/list. This method returns the response body together with the underlying httpResponse.
Returns
Promise<ApiResponseType<RichMenuAliasListResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getRichMenuAliasListWithHttpInfo
getRichMenuAliasWithHttpInfo()
getRichMenuAliasWithHttpInfo(
richMenuAliasId):Promise<ApiResponseType<RichMenuAliasResponse>>
Defined in: lib/line-bot-client.generated.ts:1832
Get rich menu alias information Calls GET https://api.line.me/v2/bot/richmenu/alias/{richMenuAliasId}. This method returns the response body together with the underlying httpResponse.
Parameters
richMenuAliasId
string
The rich menu alias ID whose information you want to obtain.
Returns
Promise<ApiResponseType<RichMenuAliasResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getRichMenuAliasWithHttpInfo
getRichMenuBatchProgress()
getRichMenuBatchProgress(
requestId):Promise<RichMenuBatchProgressResponse>
Defined in: lib/line-bot-client.generated.ts:1872
Get the status of Replace or unlink a linked rich menus in batches. Calls GET https://api.line.me/v2/bot/richmenu/progress/batch. To inspect the HTTP status code or response headers, use getRichMenuBatchProgressWithHttpInfo.
Parameters
requestId
string
A request ID used to batch control the rich menu linked to the user. Each Messaging API request has a request ID.
Returns
Promise<RichMenuBatchProgressResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getRichMenuBatchProgress
getRichMenuBatchProgressWithHttpInfo()
getRichMenuBatchProgressWithHttpInfo(
requestId):Promise<ApiResponseType<RichMenuBatchProgressResponse>>
Defined in: lib/line-bot-client.generated.ts:1886
Get the status of Replace or unlink a linked rich menus in batches. Calls GET https://api.line.me/v2/bot/richmenu/progress/batch. This method returns the response body together with the underlying httpResponse.
Parameters
requestId
string
A request ID used to batch control the rich menu linked to the user. Each Messaging API request has a request ID.
Returns
Promise<ApiResponseType<RichMenuBatchProgressResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getRichMenuBatchProgressWithHttpInfo
getRichMenuIdOfUser()
getRichMenuIdOfUser(
userId):Promise<RichMenuIdResponse>
Defined in: lib/line-bot-client.generated.ts:1904
Get rich menu ID of user Calls GET https://api.line.me/v2/bot/user/{userId}/richmenu. To inspect the HTTP status code or response headers, use getRichMenuIdOfUserWithHttpInfo.
Parameters
userId
string
User ID. Found in the source object of webhook event objects. Do not use the LINE ID used in LINE.
Returns
Promise<RichMenuIdResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getRichMenuIdOfUser
getRichMenuIdOfUserWithHttpInfo()
getRichMenuIdOfUserWithHttpInfo(
userId):Promise<ApiResponseType<RichMenuIdResponse>>
Defined in: lib/line-bot-client.generated.ts:1918
Get rich menu ID of user Calls GET https://api.line.me/v2/bot/user/{userId}/richmenu. This method returns the response body together with the underlying httpResponse.
Parameters
userId
string
User ID. Found in the source object of webhook event objects. Do not use the LINE ID used in LINE.
Returns
Promise<ApiResponseType<RichMenuIdResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getRichMenuIdOfUserWithHttpInfo
getRichMenuImage()
getRichMenuImage(
richMenuId):Promise<Readable>
Defined in: lib/line-bot-client.generated.ts:3070
Download rich menu image. Calls GET https://api-data.line.me/v2/bot/richmenu/{richMenuId}/content. To inspect the HTTP status code or response headers, use getRichMenuImageWithHttpInfo.
Parameters
richMenuId
string
ID of the rich menu with the image to be downloaded
Returns
Promise<Readable>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getRichMenuImage
getRichMenuImageWithHttpInfo()
getRichMenuImageWithHttpInfo(
richMenuId):Promise<ApiResponseType<Readable>>
Defined in: lib/line-bot-client.generated.ts:3082
Download rich menu image. Calls GET https://api-data.line.me/v2/bot/richmenu/{richMenuId}/content. This method returns the response body together with the underlying httpResponse.
Parameters
richMenuId
string
ID of the rich menu with the image to be downloaded
Returns
Promise<ApiResponseType<Readable>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getRichMenuImageWithHttpInfo
getRichMenuInsightDaily()
getRichMenuInsightDaily(
richMenuId,from,to):Promise<GetRichMenuInsightDailyResponse>
Defined in: lib/line-bot-client.generated.ts:168
Gets rich menu statistics broken down by day for the specified period, for a rich menu created via the Messaging API. Returns the daily impression count for the whole rich menu and the daily click count for each tappable area. When the total number of unique clicks during the period is below the privacy threshold, only richMenuId is returned and the other fields are omitted. Calls GET https://api.line.me/v2/bot/insight/richmenu/{richMenuId}/daily. To inspect the HTTP status code or response headers, use getRichMenuInsightDailyWithHttpInfo.
Parameters
richMenuId
string
ID of the rich menu created via the Messaging API.
from
string
Start date of the aggregation period (inclusive). Must be within the most recent 3 years. Format: yyyyMMdd (e.g. 20260213) Time zone: UTC+9
to
string
End date of the aggregation period (inclusive). The end date can be specified for up to 99 days after the start date. Format: yyyyMMdd (e.g. 20260215) Time zone: UTC+9
Returns
Promise<GetRichMenuInsightDailyResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getRichMenuInsightDaily
getRichMenuInsightDailyWithHttpInfo()
getRichMenuInsightDailyWithHttpInfo(
richMenuId,from,to):Promise<ApiResponseType<GetRichMenuInsightDailyResponse>>
Defined in: lib/line-bot-client.generated.ts:187
Gets rich menu statistics broken down by day for the specified period, for a rich menu created via the Messaging API. Returns the daily impression count for the whole rich menu and the daily click count for each tappable area. When the total number of unique clicks during the period is below the privacy threshold, only richMenuId is returned and the other fields are omitted. Calls GET https://api.line.me/v2/bot/insight/richmenu/{richMenuId}/daily. This method returns the response body together with the underlying httpResponse.
Parameters
richMenuId
string
ID of the rich menu created via the Messaging API.
from
string
Start date of the aggregation period (inclusive). Must be within the most recent 3 years. Format: yyyyMMdd (e.g. 20260213) Time zone: UTC+9
to
string
End date of the aggregation period (inclusive). The end date can be specified for up to 99 days after the start date. Format: yyyyMMdd (e.g. 20260215) Time zone: UTC+9
Returns
Promise<ApiResponseType<GetRichMenuInsightDailyResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getRichMenuInsightDailyWithHttpInfo
getRichMenuInsightSummary()
getRichMenuInsightSummary(
richMenuId,from,to):Promise<GetRichMenuInsightSummaryResponse>
Defined in: lib/line-bot-client.generated.ts:210
Gets a summary of rich menu statistics for the specified period, for a rich menu created via the Messaging API. Returns the total impression count for the whole rich menu and the click count for each tappable area, aggregated over the entire period as a single result. When the total number of unique clicks during the period is below the privacy threshold, only richMenuId is returned and the other fields are omitted. Calls GET https://api.line.me/v2/bot/insight/richmenu/{richMenuId}/summary. To inspect the HTTP status code or response headers, use getRichMenuInsightSummaryWithHttpInfo.
Parameters
richMenuId
string
ID of the rich menu created via the Messaging API.
from
string
Start date of the aggregation period (inclusive). Must be within the most recent 3 years. Format: yyyyMMdd (e.g. 20260213) Time zone: UTC+9
to
string
End date of the aggregation period (inclusive). The end date can be specified for up to 396 days after the start date. Format: yyyyMMdd (e.g. 20260215) Time zone: UTC+9
Returns
Promise<GetRichMenuInsightSummaryResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getRichMenuInsightSummary
getRichMenuInsightSummaryWithHttpInfo()
getRichMenuInsightSummaryWithHttpInfo(
richMenuId,from,to):Promise<ApiResponseType<GetRichMenuInsightSummaryResponse>>
Defined in: lib/line-bot-client.generated.ts:229
Gets a summary of rich menu statistics for the specified period, for a rich menu created via the Messaging API. Returns the total impression count for the whole rich menu and the click count for each tappable area, aggregated over the entire period as a single result. When the total number of unique clicks during the period is below the privacy threshold, only richMenuId is returned and the other fields are omitted. Calls GET https://api.line.me/v2/bot/insight/richmenu/{richMenuId}/summary. This method returns the response body together with the underlying httpResponse.
Parameters
richMenuId
string
ID of the rich menu created via the Messaging API.
from
string
Start date of the aggregation period (inclusive). Must be within the most recent 3 years. Format: yyyyMMdd (e.g. 20260213) Time zone: UTC+9
to
string
End date of the aggregation period (inclusive). The end date can be specified for up to 396 days after the start date. Format: yyyyMMdd (e.g. 20260215) Time zone: UTC+9
Returns
Promise<ApiResponseType<GetRichMenuInsightSummaryResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getRichMenuInsightSummaryWithHttpInfo
getRichMenuList()
getRichMenuList():
Promise<RichMenuListResponse>
Defined in: lib/line-bot-client.generated.ts:1931
Get rich menu list Calls GET https://api.line.me/v2/bot/richmenu/list. To inspect the HTTP status code or response headers, use getRichMenuListWithHttpInfo.
Returns
Promise<RichMenuListResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getRichMenuList
getRichMenuListWithHttpInfo()
getRichMenuListWithHttpInfo():
Promise<ApiResponseType<RichMenuListResponse>>
Defined in: lib/line-bot-client.generated.ts:1942
Get rich menu list Calls GET https://api.line.me/v2/bot/richmenu/list. This method returns the response body together with the underlying httpResponse.
Returns
Promise<ApiResponseType<RichMenuListResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getRichMenuListWithHttpInfo
getRichMenuWithHttpInfo()
getRichMenuWithHttpInfo(
richMenuId):Promise<ApiResponseType<RichMenuResponse>>
Defined in: lib/line-bot-client.generated.ts:1804
Gets a rich menu via a rich menu ID. Calls GET https://api.line.me/v2/bot/richmenu/{richMenuId}. This method returns the response body together with the underlying httpResponse.
Parameters
richMenuId
string
ID of a rich menu
Returns
Promise<ApiResponseType<RichMenuResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getRichMenuWithHttpInfo
getRoomMemberCount()
getRoomMemberCount(
roomId):Promise<RoomMemberCountResponse>
Defined in: lib/line-bot-client.generated.ts:1956
Get number of users in a multi-person chat Calls GET https://api.line.me/v2/bot/room/{roomId}/members/count. To inspect the HTTP status code or response headers, use getRoomMemberCountWithHttpInfo.
Parameters
roomId
string
Room ID
Returns
Promise<RoomMemberCountResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getRoomMemberCount
getRoomMemberCountWithHttpInfo()
getRoomMemberCountWithHttpInfo(
roomId):Promise<ApiResponseType<RoomMemberCountResponse>>
Defined in: lib/line-bot-client.generated.ts:1970
Get number of users in a multi-person chat Calls GET https://api.line.me/v2/bot/room/{roomId}/members/count. This method returns the response body together with the underlying httpResponse.
Parameters
roomId
string
Room ID
Returns
Promise<ApiResponseType<RoomMemberCountResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getRoomMemberCountWithHttpInfo
getRoomMemberProfile()
getRoomMemberProfile(
roomId,userId):Promise<RoomUserProfileResponse>
Defined in: lib/line-bot-client.generated.ts:1985
Get multi-person chat member profile Calls GET https://api.line.me/v2/bot/room/{roomId}/member/{userId}. To inspect the HTTP status code or response headers, use getRoomMemberProfileWithHttpInfo.
Parameters
roomId
string
Room ID
userId
string
User ID
Returns
Promise<RoomUserProfileResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getRoomMemberProfile
getRoomMemberProfileWithHttpInfo()
getRoomMemberProfileWithHttpInfo(
roomId,userId):Promise<ApiResponseType<RoomUserProfileResponse>>
Defined in: lib/line-bot-client.generated.ts:2001
Get multi-person chat member profile Calls GET https://api.line.me/v2/bot/room/{roomId}/member/{userId}. This method returns the response body together with the underlying httpResponse.
Parameters
roomId
string
Room ID
userId
string
User ID
Returns
Promise<ApiResponseType<RoomUserProfileResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getRoomMemberProfileWithHttpInfo
getRoomMembersIds()
getRoomMembersIds(
roomId,start?):Promise<MembersIdsResponse>
Defined in: lib/line-bot-client.generated.ts:2020
Get multi-person chat member user IDs Calls GET https://api.line.me/v2/bot/room/{roomId}/members/ids. To inspect the HTTP status code or response headers, use getRoomMembersIdsWithHttpInfo.
Parameters
roomId
string
Room ID
start?
string
Value of the continuation token found in the next property of the JSON object returned in the response. Include this parameter to get the next array of user IDs for the members of the group.
Returns
Promise<MembersIdsResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getRoomMembersIds
getRoomMembersIdsWithHttpInfo()
getRoomMembersIdsWithHttpInfo(
roomId,start?):Promise<ApiResponseType<MembersIdsResponse>>
Defined in: lib/line-bot-client.generated.ts:2036
Get multi-person chat member user IDs Calls GET https://api.line.me/v2/bot/room/{roomId}/members/ids. This method returns the response body together with the underlying httpResponse.
Parameters
roomId
string
Room ID
start?
string
Value of the continuation token found in the next property of the JSON object returned in the response. Include this parameter to get the next array of user IDs for the members of the group.
Returns
Promise<ApiResponseType<MembersIdsResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getRoomMembersIdsWithHttpInfo
getSharedAudienceData()
getSharedAudienceData(
audienceGroupId):Promise<GetSharedAudienceDataResponse>
Defined in: lib/line-bot-client.generated.ts:672
Gets audience data. Calls GET https://api.line.me/v2/bot/audienceGroup/shared/{audienceGroupId}. To inspect the HTTP status code or response headers, use getSharedAudienceDataWithHttpInfo.
Parameters
audienceGroupId
number
The audience ID.
Returns
Promise<GetSharedAudienceDataResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getSharedAudienceData
getSharedAudienceDataWithHttpInfo()
getSharedAudienceDataWithHttpInfo(
audienceGroupId):Promise<ApiResponseType<GetSharedAudienceDataResponse>>
Defined in: lib/line-bot-client.generated.ts:686
Gets audience data. Calls GET https://api.line.me/v2/bot/audienceGroup/shared/{audienceGroupId}. This method returns the response body together with the underlying httpResponse.
Parameters
audienceGroupId
number
The audience ID.
Returns
Promise<ApiResponseType<GetSharedAudienceDataResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getSharedAudienceDataWithHttpInfo
getSharedAudienceGroups()
getSharedAudienceGroups(
page,description?,status?,size?,createRoute?,includesOwnedAudienceGroups?):Promise<GetSharedAudienceGroupsResponse>
Defined in: lib/line-bot-client.generated.ts:709
Gets data for more than one audience, including those shared by the Business Manager. Calls GET https://api.line.me/v2/bot/audienceGroup/shared/list. To inspect the HTTP status code or response headers, use getSharedAudienceGroupsWithHttpInfo.
Parameters
page
number
The page to return when getting (paginated) results. Must be 1 or higher.
description?
string
The name of the audience(s) to return. You can search for partial matches. This is case-insensitive, meaning AUDIENCE and audience are considered identical. If omitted, the name of the audience(s) will not be used as a search criterion.
status?
The status of the audience(s) to return. If omitted, the status of the audience(s) will not be used as a search criterion.
size?
number
The number of audiences per page. Default: 20 Max: 40
createRoute?
How the audience was created. If omitted, all audiences are included. OA_MANAGER: Return only audiences created with LINE Official Account Manager (opens new window). MESSAGING_API: Return only audiences created with Messaging API.
includesOwnedAudienceGroups?
boolean
true: Include audienceGroups owned by LINE Official Account Manager false: Respond only audienceGroups shared by Business Manager
Returns
Promise<GetSharedAudienceGroupsResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getSharedAudienceGroups
getSharedAudienceGroupsWithHttpInfo()
getSharedAudienceGroupsWithHttpInfo(
page,description?,status?,size?,createRoute?,includesOwnedAudienceGroups?):Promise<ApiResponseType<GetSharedAudienceGroupsResponse>>
Defined in: lib/line-bot-client.generated.ts:740
Gets data for more than one audience, including those shared by the Business Manager. Calls GET https://api.line.me/v2/bot/audienceGroup/shared/list. This method returns the response body together with the underlying httpResponse.
Parameters
page
number
The page to return when getting (paginated) results. Must be 1 or higher.
description?
string
The name of the audience(s) to return. You can search for partial matches. This is case-insensitive, meaning AUDIENCE and audience are considered identical. If omitted, the name of the audience(s) will not be used as a search criterion.
status?
The status of the audience(s) to return. If omitted, the status of the audience(s) will not be used as a search criterion.
size?
number
The number of audiences per page. Default: 20 Max: 40
createRoute?
How the audience was created. If omitted, all audiences are included. OA_MANAGER: Return only audiences created with LINE Official Account Manager (opens new window). MESSAGING_API: Return only audiences created with Messaging API.
includesOwnedAudienceGroups?
boolean
true: Include audienceGroups owned by LINE Official Account Manager false: Respond only audienceGroups shared by Business Manager
Returns
Promise<ApiResponseType<GetSharedAudienceGroupsResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getSharedAudienceGroupsWithHttpInfo
getStatisticsPerUnit()
getStatisticsPerUnit(
customAggregationUnit,from,to):Promise<GetStatisticsPerUnitResponse>
Defined in: lib/line-bot-client.generated.ts:251
You can check the per-unit statistics of how users interact with push messages and multicast messages sent from your LINE Official Account. Calls GET https://api.line.me/v2/bot/insight/message/event/aggregation. To inspect the HTTP status code or response headers, use getStatisticsPerUnitWithHttpInfo.
Parameters
customAggregationUnit
string
Name of aggregation unit specified when sending the message. Case-sensitive. For example, Promotion_a and Promotion_A are regarded as different unit names.
from
string
Start date of aggregation period. Format: yyyyMMdd (e.g. 20210301) Time zone: UTC+9
to
string
End date of aggregation period. The end date can be specified for up to 30 days later. For example, if the start date is 20210301, the latest end date is 20210331. Format: yyyyMMdd (e.g. 20210301) Time zone: UTC+9
Returns
Promise<GetStatisticsPerUnitResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getStatisticsPerUnit
getStatisticsPerUnitWithHttpInfo()
getStatisticsPerUnitWithHttpInfo(
customAggregationUnit,from,to):Promise<ApiResponseType<GetStatisticsPerUnitResponse>>
Defined in: lib/line-bot-client.generated.ts:273
You can check the per-unit statistics of how users interact with push messages and multicast messages sent from your LINE Official Account. Calls GET https://api.line.me/v2/bot/insight/message/event/aggregation. This method returns the response body together with the underlying httpResponse.
Parameters
customAggregationUnit
string
Name of aggregation unit specified when sending the message. Case-sensitive. For example, Promotion_a and Promotion_A are regarded as different unit names.
from
string
Start date of aggregation period. Format: yyyyMMdd (e.g. 20210301) Time zone: UTC+9
to
string
End date of aggregation period. The end date can be specified for up to 30 days later. For example, if the start date is 20210301, the latest end date is 20210331. Format: yyyyMMdd (e.g. 20210301) Time zone: UTC+9
Returns
Promise<ApiResponseType<GetStatisticsPerUnitResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getStatisticsPerUnitWithHttpInfo
getWebhookEndpoint()
getWebhookEndpoint():
Promise<GetWebhookEndpointResponse>
Defined in: lib/line-bot-client.generated.ts:2053
Get webhook endpoint information Calls GET https://api.line.me/v2/bot/channel/webhook/endpoint. To inspect the HTTP status code or response headers, use getWebhookEndpointWithHttpInfo.
Returns
Promise<GetWebhookEndpointResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.getWebhookEndpoint
getWebhookEndpointWithHttpInfo()
getWebhookEndpointWithHttpInfo():
Promise<ApiResponseType<GetWebhookEndpointResponse>>
Defined in: lib/line-bot-client.generated.ts:2064
Get webhook endpoint information Calls GET https://api.line.me/v2/bot/channel/webhook/endpoint. This method returns the response body together with the underlying httpResponse.
Returns
Promise<ApiResponseType<GetWebhookEndpointResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.getWebhookEndpointWithHttpInfo
issueLinkToken()
issueLinkToken(
userId):Promise<IssueLinkTokenResponse>
Defined in: lib/line-bot-client.generated.ts:2078
Issue link token Calls POST https://api.line.me/v2/bot/user/{userId}/linkToken. To inspect the HTTP status code or response headers, use issueLinkTokenWithHttpInfo.
Parameters
userId
string
User ID for the LINE account to be linked. Found in the source object of account link event objects. Do not use the LINE ID used in LINE.
Returns
Promise<IssueLinkTokenResponse>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.issueLinkToken
issueLinkTokenWithHttpInfo()
issueLinkTokenWithHttpInfo(
userId):Promise<ApiResponseType<IssueLinkTokenResponse>>
Defined in: lib/line-bot-client.generated.ts:2092
Issue link token Calls POST https://api.line.me/v2/bot/user/{userId}/linkToken. This method returns the response body together with the underlying httpResponse.
Parameters
userId
string
User ID for the LINE account to be linked. Found in the source object of account link event objects. Do not use the LINE ID used in LINE.
Returns
Promise<ApiResponseType<IssueLinkTokenResponse>>
A promise resolving to the response body together with the underlying httpResponse.
See
Inherited from
LineBotClientBase.issueLinkTokenWithHttpInfo
leaveGroup()
leaveGroup(
groupId):Promise<MessageAPIResponseBase>
Defined in: lib/line-bot-client.generated.ts:2106
Leave group chat Calls POST https://api.line.me/v2/bot/group/{groupId}/leave. To inspect the HTTP status code or response headers, use leaveGroupWithHttpInfo.
Parameters
groupId
string
Group ID
Returns
Promise<MessageAPIResponseBase>
A promise resolving to the response body.
See
Inherited from
LineBotClientBase.leaveGroup
leaveGroupWithHttpInfo()
leaveGroupWithHttpInfo(
groupId):Promise<ApiResponseType<MessageAPIResponseBase>>
Defined in: lib/line-bot-client.generated.ts:2120
[...]
